package com.mysql.jdbc;

import java.sql.SQLException;

/* loaded from: com_mysql_jdbc.jar:com/mysql/jdbc/RowDataKeyset.class */
class RowDataKeyset implements RowData {
    private ResultSetInternalMethods keyset;

    RowDataKeyset() {
    }

    private void buildKeysetColumnsClause(Field[] originalQueryMetadata) throws SQLException {
        StringBuffer buf = new StringBuffer();
        for (int i = 0; i < originalQueryMetadata.length; i++) {
            if (originalQueryMetadata[i].isPrimaryKey()) {
                if (buf.length() != 0) {
                    buf.append(", ");
                }
                buf.append("`");
                buf.append(originalQueryMetadata[i].getDatabaseName());
                buf.append("`.`");
                buf.append(originalQueryMetadata[i].getOriginalTableName());
                buf.append("`.`");
                buf.append(originalQueryMetadata[i].getOriginalName());
                buf.append("`");
            }
        }
    }

    private String extractWhereClause(String sql) {
        String canonicalSql = StringUtils.stripComments(sql, "'`\"", "'`\"", true, false, true, true);
        int whereClausePos = StringUtils.indexOfIgnoreCaseRespectMarker(0, canonicalSql, " WHERE ", "'`\"", "'`\"", false);
        if (whereClausePos == -1) {
            return "";
        }
        return canonicalSql.substring(whereClausePos);
    }

    @Override // com.mysql.jdbc.RowData
    public void addRow(ResultSetRow row) throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public void afterLast() throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public void beforeFirst() throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public void beforeLast() throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public void close() throws SQLException {
        SQLException caughtWhileClosing = null;
        if (this.keyset != null) {
            try {
                this.keyset.close();
            } catch (SQLException sqlEx) {
                caughtWhileClosing = sqlEx;
            }
            this.keyset = null;
        }
        if (caughtWhileClosing != null) {
            throw caughtWhileClosing;
        }
    }

    @Override // com.mysql.jdbc.RowData
    public ResultSetRow getAt(int index) throws SQLException {
        return null;
    }

    @Override // com.mysql.jdbc.RowData
    public int getCurrentRowNumber() throws SQLException {
        return 0;
    }

    @Override // com.mysql.jdbc.RowData
    public ResultSetInternalMethods getOwner() {
        return null;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean hasNext() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean isAfterLast() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean isBeforeFirst() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean isDynamic() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean isEmpty() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean isFirst() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean isLast() throws SQLException {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public void moveRowRelative(int rows) throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public ResultSetRow next() throws SQLException {
        return null;
    }

    @Override // com.mysql.jdbc.RowData
    public void removeRow(int index) throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public void setCurrentRow(int rowNumber) throws SQLException {
    }

    @Override // com.mysql.jdbc.RowData
    public void setOwner(ResultSetImpl rs) {
    }

    @Override // com.mysql.jdbc.RowData
    public int size() throws SQLException {
        return 0;
    }

    @Override // com.mysql.jdbc.RowData
    public boolean wasEmpty() {
        return false;
    }

    @Override // com.mysql.jdbc.RowData
    public void setMetadata(Field[] metadata) {
    }
}
